* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Sofia Sans", sans-serif;
    font-weight: 400;
    -webkit-tap-highlight-color: transparent;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

body > header {
    height: 100vh;
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    grid-template-rows: repeat(6, 1fr);
    gap: 10px 30px;
    padding: 40px;
}

body > header > figure {
    order: -1;
    margin: 0;
    width: 100%;
    height: 100%;
    grid-column: 1 / span 1;
    grid-row: 1 / span 6;
}

body > header > figure > img {
    width: inherit;
    height: inherit;
    object-fit: cover;
    object-position: 50% 27%;
    display: block;
    border-radius: 2em;
    border: 2px solid rgb(71, 71, 165, .4);
}

.h1 {
    grid-column: 2 / span 2; 
    grid-row: 4;
    font-size: 2.8em;
    font-weight: 800;
    font-family: "Raleway", sans-serif;
}
.p {
    grid-column: 2 / span 2;
    grid-row: 5;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-size: 1.3em;
}
.nav {grid-column: 2 / span 2; grid-row: 6;}


/* Area UL dan LI */
.nav ul {
    display: flex;
    justify-content: space-evenly;
    align-items: stretch;
    height: 100%;
    padding: 20px 0;
    gap: 10px;
}

.nav ul > li {
    list-style: none;
    flex-grow: 1;
    border-radius: .5em;
}

.nav ul > li a {
    display: flex;
    text-decoration: none;
    background-color: rgba(0, 64, 255, 0.618);
    border: 1px solid transparent;
    border-bottom: 1px solid rgb(255, 0, 170);
    width: 100%;
    height: 100%;
    font-size: 1.6em;
    justify-content: center;
    align-items: center;
    border-radius: .5em;
    color: white;
}

.nav ul > li a:hover {
    background-color: rgb(255, 255, 255);
    border: 1px solid purple;
    color: black;
}


/* Area Main */
body > main {
    min-height: 100vh;
}


/* Area Footer */
body > footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3rem;
    height: 40vh;
    background-color: rgba(0, 64, 255, 0.618);
}


/* Area Aside */
aside > ul > li {
    list-style: none;
}

aside > ul > li > a {
    display: flex;
    text-decoration: none;
    background-color: rgba(0, 64, 255, 0.618);
    border: 1px solid transparent;
    border-bottom: 1px solid rgb(255, 0, 170);
    width: 130px;
    height: 50px;
    font-size: 1.6em;
    justify-content: center;
    align-items: center;
    border-radius: .5em;
    color: white;
}

aside > ul > li > a:hover {
    background-color: rgb(255, 255, 255);
    border: 1px solid purple;
    color: black;
}


/* Button Menu Toggle */
.menu-toggle {
    display: none;
    width: 50px;
    height: 50px;
    background-color: rgba(0, 64, 255, 0.618);
    border-radius: 20px;
    border: 2px solid rgb(128, 0, 128, .4);
    font-size: 2rem;
    font-weight: 400;
}


/* Main Section */

main section {
    height: 100vh;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(8, 1fr);
    padding: 10px;
}

main section p {
    font-size: clamp(1rem, 5vw, 1.8rem);
}

main section > article {
    font-size: 2rem;
}

article header h3 {
    font-size: clamp(1.5rem, 5vw, 3rem);
    font-weight: 800;
}

main section > article:nth-of-type(1) {
    grid-row: 1 / span 3;
}

main section > article:nth-of-type(2) {
    grid-row: 6 / span 3;
}

.tools {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3rem;
}

.tools h3 {
    font-weight: 800;
    font-size: clamp(1.5rem, 5vw, 3rem);
}

.wadah {
    display: flex;
    justify-content: space-evenly;
}

.besar {
    font-size: 5rem;
}

.html {
    color: orangered;
}
.css {color: rgb(161, 0, 161);}
.Csharp{color: rgb(161, 0, 161);}

main aside {
    height: 50vh;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repaet(6, 1fr);
    padding: 10px;
}

main aside ul {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    grid-row: 2 / span 4;
    gap: 10px;
}

main aside h3 {
    display: flex;
    align-items: center;
    font-size: clamp(1.5rem, 5vw, 3rem);
    font-weight: 800;
}


@media (max-width: 480px) {
    body header {
        position: relative;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .h1 {
        font-size: 1.5rem;
        grid-row: 5;
    }

    .p {
        font-size: 1rem;
        grid-row: 6
    }

    .nav {
        display: none;
        grid-template-rows: repeat(10, 1fr);
        position: fixed;
        top: 0;
        right: 0;
        height: 100vh;
        width: 60%;
        background-color: rgb(255,255,255,.854);
        padding: 30px;
    }

    .nav ul {
        grid-row: 2 / span 9;
        flex-direction: column;
    }

    .menu-toggle {
        display: block;
        /* grid-column: 3;
        justify-self: right; */
        position: fixed;
        top: 0;
        right: 0;
        margin: 40px;
        z-index: 2;
    }
}